From: offa <bm-dev@yandex.com>
Date: Fri, 11 Oct 2024 14:39:28 +0200
Subject: Use shlex.quote() for Python 3.13 compatibility

Origin: upstream, https://github.com/earwig/git-repo-updater/pull/70
Bug-Debian: https://bugs.debian.org/1084626
Last-Update: 2024-11-18
---
 gitup/update.py | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/gitup/update.py b/gitup/update.py
index eab5344..d21eb36 100644
--- a/gitup/update.py
+++ b/gitup/update.py
@@ -7,7 +7,6 @@ from __future__ import print_function
 
 from glob import glob
 import os
-import pipes
 import re
 import shlex
 
@@ -85,7 +84,7 @@ def _fetch_remotes(remotes, prune):
             msg = re.sub(r"\s+", " ", err.stderr).strip()
             msg = re.sub(r"^stderr: *'(fatal: *)?", "", msg).strip("'")
             if not msg:
-                command = " ".join(pipes.quote(arg) for arg in err.command)
+                command = " ".join(shlex.quote(arg) for arg in err.command)
                 msg = "{0} failed with status {1}.".format(command, err.status)
             elif not msg.endswith("."):
                 msg += "."
